Skip to main content
GET
/
v1
/
businesses
/
{businessId}
/
bank-transactions
/
{transactionId}
/
documents
List transaction documents
curl --request GET \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/bank-transactions/{transactionId}/documents \
  --header 'Authorization: Bearer <token>'
{
  "documentUrls": [
    {
      "type": "S3_Presigned_Url",
      "presignedUrl": "https://example-bucket.s3.amazonaws.com/example-object?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=FAKEAWSACCESSKEY%2F20240710%2Fus-west-1%2Fs3%2Faws4_request&X-Amz-Date=20240710T000000Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&X-Amz-Signature=FAKESIGNATURE1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef\n",
      "fileType": "csv"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string
required

The UUID of the business to fetch the documents for.

transactionId
string
required

The UUID of the bank transaction to fetch documents for.

Response

Contains a list of presigned URLs pointing to various documents stored on Amazon S3. These URLs allow authorized access to the documents for a limited period.

documentUrls
object[]
required

A list of presigned URLs to documents stored in S3.